Class | Resolv::DNS::Resource::IN::AAAA
In: | resolv.rb
Parent: | Resource

### Methods

decode_rdata encode_rdata new

### Constants

TypeValue | = | 28, ClassValue = ClassValue]] = self

### Attributes

address | [R] |

### Public Class methods

decode_rdata(msg)

[Source]

    # File resolv.rb, line 1648
              def self.decode_rdata(msg)
                return self.new(IPv6.new(msg.get_bytes(16)))
              end

new(address)

[Source]

    # File resolv.rb, line 1639
              def initialize(address)
                @address = IPv6.create(address)
              end

### Public Instance methods

encode_rdata(msg)

[Source]

    # File resolv.rb, line 1644
              def encode_rdata(msg)
                msg.put_bytes(@address.address)
              end

[Validate]